Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class BLabel

    java.lang.Object
      Biff
          jet.report.xls.Blank
              jet.report.xls.BLabel

    public class BLabel

extends Blank

Description: Constant string Record Body Length: 8 to 263 bytes Record Body Byte Structure: Byte Number Byte Description Contents (hex) 0-1 Row 2-3 Column 4-6 Index to the Xf record 7 Length of string 8-263 ASCII string, 0 to 255 bytes long A BLabel class extends Blank class.

Field Summary

Fields inherited from class jet.report.xls.Blank
`META`

Constructor Summary
`BLabel(int row, int col, int ixfe, java.lang.String label, java.lang.String encoding)` Constructs a BLabel record and sets its fields appropriately.

Method Summary
`java.lang.String` | `getLabel()` get lable string .
`int` | `getLength()`
`void` | `input(RandomAccessStream stream)` input label from input stream
`int` | `opcode()` get the opcode of BLabel.
`int` | `output(RandomAccessStream stream)` output the class BLabel.
`void` | `setLable(java.lang.String str)` set lable string .

Methods inherited from class jet.report.xls.Blank
`getCol, getIxfe, getRow, setCol, setIxfe, setRow`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLabel

    public BLabel(int row,
                  int col,
                  int ixfe,
                  java.lang.String label,
                  java.lang.String encoding)

  Constructs a BLabel record and sets its fields appropriately.

  Parameters:
    `row` - The row number to locate the BLable(based 0)
    `col` - The column number to locate the BLable(based 0)
    `ixfe` - Index to the Xf record
    `lable` - The string.

Method Detail

### getLength

    public int getLength()

### opcode

    public final int opcode()

  get the opcode of BLabel.

  Overrides:
    `opcode` in class `Blank`

### setLable

    public void setLable(java.lang.String str)

  set lable string .

### getLabel

    public java.lang.String getLabel()

  get lable string .

### output

    public int output(RandomAccessStream stream)
               throws java.io.IOException

  output the class BLabel.

  Overrides:
    `output` in class `Blank`
  Throws:
    `java.io.IOException`

### input

    public void input(RandomAccessStream stream)
               throws java.io.IOException

  input label from input stream

  Overrides:
    `input` in class `Blank`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD